#include <iostream>

using namespace std;
long long s[100005];
int main()
{
    long long n,a=0;
    cin>>n;
    for(int i=0; i<n; i++)
    {
        cin>>s[i];
    }
    while(n>1)
    {
        for(int i=n-1; i>=0; i--)
        {
            if(s[i]!=s[n-1])s[i]--;
//            if(s[i]==0)n--;



        }
        if(n>=0)a+=s[n-1];
//        cout<<a<<" ";
        n--;
    }
    cout<<a;



}
